post:
  tags:
    - APIs
  summary: Generate QR Code
  description: API to generate promptpay QR Code for making payment
  requestBody:
    content:
      application/json:
        schema:
          $ref: ../components/schemas/payment.yaml
    required: true
  security:
    - bearerAuth: []
  responses:
    "200":
      description: OK
      content:
        application/json:
          schema:
            $ref: ../components/schemas/payment-200.yaml
    "400":
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: ../components/schemas/400.yaml
    "401":
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: ../components/schemas/401.yaml
    "500":
      description: Server Error
      content:
        application/json:
          schema:
            $ref: ../components/schemas/500.yaml
